import { ModalFuncProps } from './index';
/**
 * 获取确定或者取消 true false 的promise
 * @param type confirm
 * @param otherProps
 */
export declare function antdConfirmPromiseShell({ type, ...otherProps }: ModalFuncProps): Promise<boolean>;
/**
 * 同步阻塞式确认弹窗
 * @param type
 * @param otherProps
 */
export declare function antdConfirmPromise({ type, ...otherProps }: ModalFuncProps): Promise<void>;
